Bug 28071 - Bad: Cannot update existing installation
Bad: Cannot update existing installation
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-16 20:33 EST by Kjell-Jostein Sivertsen
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-27 18:47:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error message (1.03 KB, text/plain)
2001-02-16 20:34 EST, Kjell-Jostein Sivertsen
no flags Details

  None (edit)
Description Kjell-Jostein Sivertsen 2001-02-16 20:33:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


Bad: Nothing works :)

Reproducible: Always
Steps to Reproduce:
1.Install Red Hat 7.0, without all the desired components
2.Try to update the install
3.
	

Actual Results:  Got the attached message, and system may be rebooted

Expected Results:  Update should continue

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1028, in 
run
    rc = apply (step[1](), (dir,) + step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 245, in 
__call__
    parts = todo.upgradeFindRoot ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 841, in 
upgradeFindRoot
    mdList = raid.startAllRaid(drives)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/raid.py", line 61, in 
startAllRaid
    for (mdDevice, deviceList) in scanForRaid(driveList):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/raid.py", line 25, in 
scanForRaid
    (major, minor, raidSet, level, nrDisks, totalDisks, mdMinor) = \
  File "/usr/lib/anaconda/isys.py", line 37, in raidsb
    rc = _isys.getraidsb(fd)
ValueError: bad md magic on device

Local variables in innermost frame:
mdDevice: hda1
fd: 11

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Kjell-Jostein Sivertsen 2001-02-16 20:34:09 EST
Created attachment 10261 [details]
Error message
Comment 2 Michael Fulbright 2001-02-20 14:32:56 EST
What partition type is /dev/hda1?
Comment 3 Kjell-Jostein Sivertsen 2001-02-20 15:08:10 EST
/dev/hda1 is fat32, cannot be mounted, giving me following error message:
mount: wrong fs type, bad option, bad superblock on /dev/hda1,
       or too many mounted file systems

RH 7 is on /dev/hdb1, /dev/hdb2 and /dev/hdb3. /dev/hdb5 and /dev/hdb6 are 
mounted, and also fat32.
Comment 4 Michael Fulbright 2001-02-21 18:19:54 EST
/dev/hda1 for some reason is thought to be part of a raid array on your machine.

Could you attach your /etc/raidtab?
Comment 5 Michael Fulbright 2001-03-14 12:57:56 EST
Closing due to inactivity. Please reopen if you have additional information to add.

Note You need to log in before you can comment on or make changes to this bug.